Discover Centmin Mod today
Register Now

Install Install error (RPM) on Centos 7

Discussion in 'Beta release code' started by Sebastian B., Aug 23, 2014.

  1. Sebastian B.

    Sebastian B. New Member

    25
    4
    3
    Aug 23, 2014
    Ratings:
    +4
    Local Time:
    6:56 AM
    1.7.2
    5.5
    Hi,

    the centos 7 .08 beta dont work on my server.
    Here the install log when errors begin:
    Code (Text):
    *************************************************
    * CentOS 7.x detected installing EPEL Repo
    *************************************************
    Error: epel-release-7-0.2.noarch.rpm not found !!! Download now......
    2014-08-23 11:51:58 URL:[URL]http://mirror.us.leaseweb.net/epel/beta/7/x86_64/epel-release-7-0.2.noarch.rpm[/URL] [12936/12936] -> "epel-release-7-0.2.noarch.rpm" [1]
    Download done.
    warning: epel-release-7-0.2.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
    setting yum priorities for epel.repo
    [epel]
    name=Extra Packages for Enterprise Linux 7 - $basearch
    #baseurl=[URL]http://download.fedoraproject.org/pub/epel/7/$basearch[/URL]
    mirrorlist=[URL]https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=$basearch[/URL]
    failovermethod=priority
    enabled=1
    gpgcheck=0
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    *************************************************
    Fixing epel.repo YUM Priorities
    *************************************************
    [epel]
    name=Extra Packages for Enterprise Linux 7 - $basearch
    #baseurl=[URL]http://download.fedoraproject.org/pub/epel/7/$basearch[/URL]
    mirrorlist=[URL]https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=$basearch[/URL]
    failovermethod=priority
    enabled=1
    gpgcheck=0
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    priority=3
    exclude=varnish
    
    [epel-debuginfo]
    name=Extra Packages for Enterprise Linux 7 - $basearch - Debug
    #baseurl=[URL]http://download.fedoraproject.org/pub/epel/7/$basearch/debug[/URL]
    mirrorlist=[URL]https://mirrors.fedoraproject.org/metalink?repo=epel-debug-7&arch=$basearch[/URL]
    failovermethod=priority
    enabled=0
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    gpgcheck=1
    
    [epel-source]
    name=Extra Packages for Enterprise Linux 7 - $basearch - Source
    #baseurl=[URL]http://download.fedoraproject.org/pub/epel/7/SRPMS[/URL]
    mirrorlist=[URL]https://mirrors.fedoraproject.org/metalink?repo=epel-source-7&arch=$basearch[/URL]
    failovermethod=priority
    enabled=0
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    gpgcheck=1
    
    
    Error: rpmforge-release-0.5.3-1.el7.rf.x86_64.rpm not found !!! Download now......
    2014-08-23 11:52:10 URL:[URL]http://apt.sw.be/redhat/el7/en/x86_64/rpmforge/RPMS/rpmforge-release-0.5.3-1.el7.rf.x86_64.rpm[/URL] [12520/12520] -> "rpmforge-release-0.5.3-1.el7.rf.x86_64.rpm" [1]
    Download done.
    setting yum priorities for rpmforge.repo
    [rpmforge]
    name = RHEL $releasever - RPMforge.net - dag
    baseurl = [URL]http://apt.sw.be/redhat/el7/en/$basearch/rpmforge[/URL]
    mirrorlist = [URL]http://mirrorlist.repoforge.org/el7/mirrors-rpmforge[/URL]
    #mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge
    enabled = 1
    protect = 0
    gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
    gpgcheck = 1
    *************************************************
    Fixing rpmforge.repo YUM Priorities
    *************************************************
    ### Name: RPMforge RPM Repository for RHEL 7 - dag
    ### URL: [URL='http://rpmforge.net/']RepoForge Project[/URL]
    [rpmforge]
    name = RHEL $releasever - RPMforge.net - dag
    baseurl = [URL]http://apt.sw.be/redhat/el7/en/$basearch/rpmforge[/URL]
    mirrorlist = [URL]http://mirrorlist.repoforge.org/el7/mirrors-rpmforge[/URL]
    #mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge
    enabled = 1
    protect = 0
    gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
    gpgcheck = 1
    priority=5
    
    [rpmforge-extras]
    name = RHEL $releasever - RPMforge.net - extras
    baseurl = [URL]http://apt.sw.be/redhat/el7/en/$basearch/extras[/URL]
    mirrorlist = [URL]http://mirrorlist.repoforge.org/el7/mirrors-rpmforge-extras[/URL]
    #mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge-extras
    enabled = 0
    protect = 0
    gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
    gpgcheck = 1
    
    [rpmforge-testing]
    name = RHEL $releasever - RPMforge.net - testing
    baseurl = [URL]http://apt.sw.be/redhat/el7/en/$basearch/testing[/URL]
    mirrorlist = [URL]http://mirrorlist.repoforge.org/el7/mirrors-rpmforge-testing[/URL]
    #mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge-testing
    enabled = 0
    protect = 0
    gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
    gpgcheck = 1
    
    
    Error: percona-release-0.0-1.x86_64.rpm not found !!! Download now......
    2014-08-23 11:52:22 URL:[URL]http://www.percona.com/downloads/percona-release/percona-release-0.0-1.x86_64.rpm[/URL] [6294/6294] -> "percona-release-0.0-1.x86_64.rpm" [1]
    Download done.
    setting yum priorities for Percona.repo
    *************************************************
    Fixing Percona.repo YUM Priorities
    *************************************************
    # Name: Percona RPM Repository
    # URL: [URL='http://www.percona.com/percona-lab.html']MySQL Software - Open Source MySQL Server, Backup, Cluster, and Tools Software by Percona[/URL]
    [percona]
    name = CentOS $releasever - Percona
    baseurl=[URL]http://repo.percona.com/centos/$releasever/os/$basearch/[/URL]
    enabled = 0
    gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-percona
    gpgcheck = 1
    priority=11
    exclude=Percona-SQL* Percona-Server* Percona-XtraDB-Cluster*
    
    
    Error: varnish-release-3.0-1.el6.noarch.rpm not found !!! Download now......
    2014-08-23 11:52:24 URL:[URL]http://repo.varnish-cache.org/redhat/varnish-3.0/el6/noarch/varnish-release/varnish-release-3.0-1.el6.noarch.rpm[/URL] [2780/2780] -> "varnish-release-3.0-1.el6.noarch.rpm" [1]
    Download done.
    setting yum priorities for varnish.repo
    *************************************************
    Fixing varnish.repo YUM Priorities
    *************************************************
    [varnish-3.0]
    name=Varnish 3.0 for Enterprise Linux el6 - $basearch
    baseurl=[URL]http://repo.varnish-cache.org/redhat/varnish-3.0/el6/$basearch[/URL]
    enabled=0
    gpgcheck=0
    #gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-VARNISH
    priority=2
    
    
    Error: axivo-release-7-1.noarch.rpm not found !!! Download now......
    2014-08-23 11:52:26 URL:[URL]https://www.axivo.com/resources/repository-setup.1/[/URL] [27606/27606] -> "axivo-release-7-1.noarch.rpm" [1]
    Download done.
    error: axivo-release-7-1.noarch.rpm: not an rpm package (or package manifest):
    cp: cannot stat ‘/etc/yum.repos.d/axivo.repo’: No such file or directory
    grep: /etc/yum.repos.d/axivo.repo: No such file or directory
    setting yum priorities for axivo.repo
    *************************************************
    Fixing axivo.repo YUM Priorities
    *************************************************
    priority=13
    exclude=nginx* php* mariadb* memcached* xtrabackup
    
    
    Processing package: uw-imap-devel
    ----------------------------------------------------------------------------------
    Installing uw-imap-devel
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: libtidy
    ----------------------------------------------------------------------------------
    Installing libtidy
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: libtidy-devel
    ----------------------------------------------------------------------------------
    Installing libtidy-devel
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: libJudy
    ----------------------------------------------------------------------------------
    Installing libJudy
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: axel
    ----------------------------------------------------------------------------------
    Installing axel
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: glances
    ----------------------------------------------------------------------------------
    Installing glances
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: bash-completion
    ----------------------------------------------------------------------------------
    enchant-devel already installed
    ----------------------------------------------------------------------------------
    Processing package: mlocate
    ----------------------------------------------------------------------------------
    enchant-devel already installed
    ----------------------------------------------------------------------------------
    Processing package: re2c
    ----------------------------------------------------------------------------------
    Installing re2c
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: libmcrypt
    ----------------------------------------------------------------------------------
    Installing libmcrypt
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: libmcrypt-devel
    ----------------------------------------------------------------------------------
    Installing libmcrypt-devel
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: kernel-headers
    ----------------------------------------------------------------------------------
    enchant-devel already installed
    ----------------------------------------------------------------------------------
    Processing package: kernel-devel
    ----------------------------------------------------------------------------------
    Installing kernel-devel
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    Processing package: cmake28
    ----------------------------------------------------------------------------------
    Installing cmake28
    ----------------------------------------------------------------------------------
    
    
    File contains no section headers.
    file: file://///etc/yum.repos.d/axivo.repo, line: 1
    'priority=13\n'
    ----------------------------------------------------------------------------------
    
    Detected that axel download accelerator
    was not installed via rpmforge repository
    
    Trying alternate mirror for required RPMs
    
    Error: rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm not found !!! Download now......
    2014-08-23 11:52:57 URL:[URL]http://centminmod.com/centminmodparts/v123/04rpms/x86_64/rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm[/URL] [12640/12640] -> "rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm" [1]
    Download done.
            package rpmforge-release-0.5.3-1.el7.rf.x86_64 (which is newer than rpmforge-release-0.5.3-1.el6.rf.x86_64) is already installed
            file /etc/apt/sources.list.d/rpmforge-extras.list from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/apt/sources.list.d/rpmforge-testing.list from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/apt/sources.list.d/rpmforge.list from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/smart/channels/rpmforge.channel from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/sysconfig/rhn/sources.rpmforge.txt from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/yum.repos.d/mirrors-rpmforge from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/yum.repos.d/mirrors-rpmforge-extras from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/yum.repos.d/mirrors-rpmforge-testing from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /etc/yum.repos.d/rpmforge.repo from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /usr/share/doc/rpmforge-release-0.5.3/mirrors-rpmforge.yum from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /usr/share/doc/rpmforge-release-0.5.3/rpmforge.apt from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /usr/share/doc/rpmforge-release-0.5.3/rpmforge.smart from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /usr/share/doc/rpmforge-release-0.5.3/rpmforge.up2date from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
            file /usr/share/doc/rpmforge-release-0.5.3/rpmforge.yum from install of rpmforge-release-0.5.3-1.el6.rf.x86_64 conflicts with file from package rpmforge-release-0.5.3-1.el7.rf.x86_64
    Error: problem with rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm install.
    cp: cannot stat ‘/var/cache/yum/timedhosts.txt’: No such file or directory
    
     
    Last edited by a moderator: Oct 20, 2016
  2. eva2000

    eva2000 Administrator Staff Member

    30,163
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    2:56 PM
    Nginx 1.13.x
    MariaDB 5.5
    looks like Axivo YUM repo related. @Floren had changed the CentOS 7 Axivo rpm download url related to that. But .08 beta should already have the updated download url. Will see what Floren has to say :)

    Code:
    Error: axivo-release-7-1.noarch.rpm not found !!! Download now......
    2014-08-23 11:52:26 URL:https://www.axivo.com/resources/repository-setup.1/ [27606/27606] -> "axivo-release-7-1.noarch.rpm" [1]
    Download done.
    error: axivo-release-7-1.noarch.rpm: not an rpm package (or package manifest):
    cp: cannot stat ‘/etc/yum.repos.d/axivo.repo’: No such file or directory
    grep: /etc/yum.repos.d/axivo.repo: No such file or directory
    setting yum priorities for axivo.repo
     
  3. eva2000

    eva2000 Administrator Staff Member

    30,163
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    2:56 PM
    Nginx 1.13.x
    MariaDB 5.5
  4. Sebastian B.

    Sebastian B. New Member

    25
    4
    3
    Aug 23, 2014
    Ratings:
    +4
    Local Time:
    6:56 AM
    1.7.2
    5.5
    Is .08 already useable on production use (i know its a beta but whats the development state) or should i go back to centos 6.5 with .07?
     
  5. eva2000

    eva2000 Administrator Staff Member

    30,163
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    2:56 PM
    Nginx 1.13.x
    MariaDB 5.5
    .08 is beta for testing only not production use as yet - but welcome the feedback and beta testing ;) :D

    production = .07 stable :)
     
    Last edited: Aug 24, 2014
  6. Floren

    Floren Active Member

    148
    76
    28
    Jun 6, 2014
    Ratings:
    +76
    Local Time:
    12:56 AM
    @eva2000, pleae check the repo setup, some major changes were done yesterday to cope with the heavy network usage:
    https://www.axivo.com/packages/setup

    I added some limitations also, related to the number of times a repo is accessed per day. The system I built will temp ban someone for a week if they access the repo more then 250 times/day. Here it is why:
    Code:
    # awk '{print $1}' /var/log/nginx/rpm.access.log | sort | uniq -c | sort -n | tail -n 1
        391 108.166.10x.xxx
    This is from RackSpace... If you have time, please get on Skype. I need your help to test some features. You always have a spare fresh machine to test. :)
     
    Last edited: Aug 24, 2014